<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml">

    <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
        <ui:param name="panel_id" value="#{varTableId}Panel"/>
        <ui:define name="panel_title">#{dataTableHeader}</ui:define>
        <h:outputText value="#{varList.size()} #{messages['net.ihe.gazelle.tm.TestInstances']}"
                      rendered="#{varList.size() &gt; 0}" styleClass="help-block"/>
        <rich:dataTable cellspacing="0" width="700" border="0"
                        rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="#{varTableId}"
                        var="selectedTestInstance" value="#{varList}"
                        render="ds">
            <g:column sortBy="#{'id'}" sortOrder="#{datatablestateholder.sortOrders['id']}">
                <ui:define name="header">#{messages['gazelle.tf.table.Id']}</ui:define>
                <g:link target="_blank" value="#{selectedTestInstance}"/>
            </g:column>
            <g:column id="executionStatusColumn">
                <ui:define name="header">#{messages['gazelle.tm.tests.ExecutionStatus']}</ui:define>
                <h:outputText class="#{selectedTestInstance.lastStatus.getCssStyle()}" value="#{messages[selectedTestInstance.lastStatus.getLabelToDisplay()]}"/>
            </g:column>
            <g:column id="testCaseColumn" sortBy="#{'test.keyword'}" sortOrder="#{datatablestateholder.sortOrders['test.keyword']}">
                <ui:define name="header">#{messages['gazelle.tm.tests.TestCase']}</ui:define>
                <g:link target="_blank" value="#{selectedTestInstance.test}"/>
                <h:outputText
                        value=" (#{selectedTestInstance.test.version})"
                        rendered="#{!empty selectedTestInstance.test.version}"/>
                <ui:fragment rendered="#{'ready' != selectedTestInstance.test.testStatus.getLabelToDisplay()}">
                    <span class="gzl-icon-exclamation-triangle" data-toggle="tooltip" title="#{selectedTestInstance.test.testStatus.getLabelToDisplay()}"/>
                </ui:fragment>
            </g:column>
            <g:column id="testPeerTypeColumn">
                <ui:define name="header">#{messages['gazelle.tm.tests.testType']}</ui:define>
                <h:outputText value="#{messages[selectedTestInstance.test.testType.getLabelToDisplay()]}"/>
            </g:column>
            <g:column id="lastUpdateColumn" sortBy="#{'lastChanged'}"
                      sortOrder="ascending">
                <ui:define name="header">#{messages['gazelle.tm.test.LastUpdate']}</ui:define>
                <g:date tooltip="true" value="#{selectedTestInstance.lastChanged}"/>
            </g:column>
            <g:column>
                <ui:define name="header">#{messages['gazelle.tests.test.Monitor']}</ui:define>
                <h:outputText
                        value="#{testInstancesOverview.getUserFullNameByMonitorUserId(selectedTestInstance.monitorInSession.userId)}"
                        rendered="#{selectedTestInstance.monitorInSession != null}"/>
            </g:column>
            <g:column>
                <ui:define name="header">#{messages['gazelle.tm.monitors.TestParticipants']}</ui:define>
                <a4j:repeat var="tip"
                            value="#{gazelleDAO.getTestInstanceParticipantsListForATest(selectedTestInstance)}">
                    <div class="row">
                        <div class="col-xs-8">
                            <g:link target="_blank"
                                    value="#{tip.systemInSessionUser.systemInSession}"/>
                            <h:outputText
                                    value=" #{messages['gazelle.tm.tests.As']} [#{tip.actorIntegrationProfileOption.actorIntegrationProfile.integrationProfile.keyword}] #{tip.actorIntegrationProfileOption.actorIntegrationProfile.actor.keyword}"/>
                        </div>
                        <div class="col-xs-4">
                            <h:outputText
                                    value="#{tip.systemInSessionUser.systemInSession.tableSession.tableKeyword}"/>
                        </div>
                    </div>
                </a4j:repeat>
            </g:column>
            <f:facet name="footer">
                <ui:include src="/util/datatableFooter.xhtml">
                    <ui:param name="dataScrollerId" value="ds"/>
                    <ui:param name="dataTableId" value="#{varTableId}"/>
                </ui:include>
            </f:facet>
        </rich:dataTable>
    </ui:decorate>

</ui:composition>
